<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>SI-BKD Dosen</title>
  </head>
  <body>
    <div layout:fragment="main" class="container">
      <div class="row justify-content-center">
        <div class="col-md-8">
          <form
            class="form-horizontal"
            th:action="@{/dosen/simpan}"
            th:object="${dosen}"
            method="post"
          >
            <div class="card">
              <div
                class="card-header bg-white p-4 justify-content-center"
                align="center"
              >
                <h3 class="text-black">Data Dosen</h3>
              </div>

              <div class="card-body p-4">
                <div class="row justify-content-center">
                  <div class="col-md-10">
                    <div class="mb-3 row">
                      <label for="namaLengkap" class="col-sm-4 col-form-label"
                        >Nama Lengkap</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="text"
                          class="form-control"
                          name="nama"
                          th:field="*{nama}"
                          id="namaLengkap"
                        />
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="email" class="col-sm-4 col-form-label"
                        >Email</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="email"
                          onkeyup="cekEmail(this);"
                          class="form-control"
                          id="email"
                          name="email"
                          th:field="*{email}"
                        />
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="telepon" class="col-sm-4 col-form-label"
                        >Telepon</label
                      >
                      <div class="col-sm-8">
                        <input
                          type="text"
                          class="form-control"
                          id="telepon"
                          name="telepon"
                          th:field="*{telepon}"
                        />
                      </div>
                    </div>

                    <div class="mb-3 row">
                      <label for="role" class="col-sm-4 col-form-label"
                        >Jabatan Struktural</label
                      >
                      <div class="col-sm-8">
                        <select
                          class="form-select"
                          id="role"
                          name="jabatanStruktural"
                          th:field="*{jabatanStruktural}"
                          aria-label="Default select example"
                        >
                          <option
                            th:each="jabatan : ${listJabatan}"
                            th:text="${jabatan.namaJabatanStruktural}"
                            th:value="${jabatan.id}"
                          >
                            Dosen Biasa
                          </option>
                        </select>
                      </div>
                    </div>
                    <div
                      class="alert alert-danger"
                      id="validEmail"
                      style="display: none"
                    >
                      Email telah digunakan, silahkan menggunakan email lain
                    </div>
                    <input type="hidden" name="id" id="ids" th:field="*{id}" />
                    <input type="hidden" name="user" th:field="*{user}" />
                    <input
                      type="hidden"
                      name="asesorSatu"
                      th:field="*{asesorSatu}"
                    />
                    <input
                      type="hidden"
                      name="asesorDua"
                      th:field="*{asesorDua}"
                    />
                  </div>
                </div>
              </div>
              <div class="card-footer bg-white p-4">
                <a class="btn btn-warning float-start" th:href="@{/dosen}"
                  >Kembali</a
                >
                <button
                  type="submit"
                  id="btnSimpan"
                  class="btn btn-success float-end"
                >
                  Simpan
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </body>
</html>
<script>
  var delay = (function () {
    var timer = 0;
    return function (callback, ms) {
      clearTimeout(timer);
      timer = setTimeout(callback, ms);
    };
  })();

  function cekEmail(arg) {
    var id = arg.getAttribute("id");
    var value = arg.value;

    $(document).keyup(function (e) {
      delay(function () {
        var url = "/cekEmailDosen?email=" + value + "&id=" + ids;
        $.getJSON(url, function (data) {
          if (data.code == "FORBIDDEN") {
            document.getElementById("validEmail").style.display = "block";
            document.getElementById("btnSimpan").style.display = "none";
          } else {
            document.getElementById("btnSimpan").style.display = "block";
            document.getElementById("validEmail").style.display = "none";
          }
        });
      }, 800);
    });
  }
</script>
